﻿# Créé par Elias Berrabah, le 15/11/2019 en Python 3.4
''' FICHE NUMERO 2 : Matplotlib/numpy et géométrie'''

#Proposition d’exo 1 : représenter des parties du plan décrites avec des inégalités

from matplotlib.pyplot import *
from numpy import *
from math import sqrt

def distance(A,B):
    """ A et B sont des listes (ou des tuples) """
    xA,yA = A
    xB,yB = B
    return sqrt((xB-xA)**2 + (yB-yA)**2)

def verif_condition(M,A,B,k):
    """ vérifie si MA² + MB² <= k est vérifiée """
    if distance(M,A)**2 + distance(M,B)**2 < k+0.0001: # attention aux arrondis
        return True
    else:
        return False

def affiche():
    A = (1,3)
    B = (3,5)
    abscisses = linspace(0,10)
    ordonnees = linspace(0,10)
    for x in abscisses:
        for y in ordonnees:
            M = (x,y)
            if verif_condition(M,A,B,12):
                plot(x,y,"r.")
            else:
                plot(x,y,"b.")
    axis("equal")
    show()